Skip to content

Return one responsibility group.

GET
/api/workspace/responsibility-groups/{responsibilityGroupId}
curl --request GET \
--url https://example.com/api/workspace/responsibility-groups/example
  • None
responsibilityGroupId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Full responsibility-group detail.

object
Id

Group identifier.

string
nullable
Code

Optional code-facing identifier.

string
nullable
Name

Display name.

string
nullable
Type
integer format: int32
Allowed values: 0 1 2 3 4 5
Description

Optional description.

string
nullable
Users

Assigned users.

Array<object>
nullable

Member assigned to a responsibility group.

object
Id

User identifier.

string
nullable
UserName

Login user name.

string
nullable
Email

Optional email address.

string
nullable
FirstName

First name.

string
nullable
LastName

Optional last name.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
IsBlocked

Whether the user is blocked.

boolean
Avatar

Avatar presentation for a responsibility-group member.

object
Initials

Avatar initials.

string
nullable
BackgroundColor

Avatar background color.

string
nullable
TextColor

Avatar text color.

string
nullable
RowVersion

Concurrency token.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Type": 0,
"Users": [
{
"UserType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Full responsibility-group detail.

object
Id

Group identifier.

string
nullable
Code

Optional code-facing identifier.

string
nullable
Name

Display name.

string
nullable
Type
integer format: int32
Allowed values: 0 1 2 3 4 5
Description

Optional description.

string
nullable
Users

Assigned users.

Array<object>
nullable

Member assigned to a responsibility group.

object
Id

User identifier.

string
nullable
UserName

Login user name.

string
nullable
Email

Optional email address.

string
nullable
FirstName

First name.

string
nullable
LastName

Optional last name.

string
nullable
UserType
integer format: int32
Allowed values: 0 1 2
IsBlocked

Whether the user is blocked.

boolean
Avatar

Avatar presentation for a responsibility-group member.

object
Initials

Avatar initials.

string
nullable
BackgroundColor

Avatar background color.

string
nullable
TextColor

Avatar text color.

string
nullable
RowVersion

Concurrency token.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Type": 0,
"Users": [
{
"UserType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}